## NAME

db.dropdb - Removes an existing database.

## KEYWORDS

database, attribute table, SQL

## SYNOPSIS

db.dropdb
db.dropdb --help
db.dropdb driver=name database=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

driver=name [required]
  Name of database driver
  Options: dbf, odbc, ogr, pg, sqlite
  Default: sqlite
database=name [required]
  Name of database

## DESCRIPTION

db.dropdb removes an existing database using given database driver. Currently only SQLite and PostgreSQL database drivers are supported.

## EXAMPLES

### Drop (delete) an existing database connected through SQLite driver

Note that the standard GRASS GIS SQLite database is by default found in the user's current mapset. This example shows an out-of-mapset database removal:

    db.dropdb driver=sqlite database=/opt/sqlite.db

### Drop an existing database connected through PostgreSQL driver

    db.dropdb driver=pg database=grassdb

## TODO

Support other database drivers, too.

## SEE ALSO

db.createdb, db.describe, db.droptable, db.execute, db.login, db.tables

GRASS SQL interface

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy
SQLite and PostgreSQL support by Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: db.dropdb source code (history)

Accessed: Tuesday Jan 09 00:28:44 2024

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual